<template>
  <q-card>
    <q-card-section class="bg-primary">
      <div class="text-caption text-white text-bold">
        {{ id }}
      </div>
    </q-card-section>

    <q-separator/>

    <q-card-section>
      Launcher: {{ feed.launcher.type }}
    </q-card-section>

    <q-separator/>

    <q-card-section>
      View: {{ feed.view }}
    </q-card-section>

    <q-separator/>

    <q-card-section>
      Tool: {{ feed.tool }}
    </q-card-section>

    <q-separator/>

    <q-card-section>
      Forever: {{ feed.delete_condition_repeat === 'infinite' ? 'true' : 'false' }}
    </q-card-section>

    <q-separator/>

    <q-card-section>
      Seen: {{ timesSeen === "0" ? 'no' : timesSeen === "1" ? 'once' : timesSeen + ' times' }}
    </q-card-section>

    <q-separator/>
    <q-card-section v-if="feed.tool === 'tour' && feed.step_count >= 0">
      Current step: {{
        feed.step_count + 1
      }} out of {{
        JSON.parse(feed.json).length
      }}
    </q-card-section>
    <q-card-section v-else-if="feed.tool === 'tour'">
      Tour Completed/Dismissed
    </q-card-section>
  </q-card>
</template>

<script>

export default {
  name: 'GuideCard',
  props: {
    feed: {
      type: Object,
      required: true
    },
    id: {
      type: String,
      required: true
    }
  },
  computed: {
    timesSeen () {
      return (this.feed.actioned / JSON.parse(this.feed.json).length).toFixed(0)
    }
  }
}
</script>
